org.mariadb.jdbc.internal.com.send

## Class SendHandshakeResponsePacket

- java.lang.Object
- - org.mariadb.jdbc.internal.com.send.SendHandshakeResponsePacket

    public class SendHandshakeResponsePacket
    extends Object

4 client_flags 4 max_packet_size 1 charset_number 23 (filler) always 0x00... n (Null-Terminated String) user n (Length Coded Binary) scramble_buff (1 + x bytes) 1 (filler) always 0x00 n (Null-Terminated String) databasename

client_flags: CLIENT_xxx options. The list of possible flag values is in the description of the Handshake Initialisation Packet, for server_capabilities. For some of the bits, the server passed "what it's capable of". The client leaves some of the bits on, adds others, and passes back to the server. One important flag is: whether compression is desired.

max_packet_size: the maximum number of bytes in a stream for the client

charset_number: in the same domain as the server_language field that the server passes in the Handshake Initialization stream.

user: identification

scramble_buff: the password, after encrypting using the scramble_buff contents passed by the server (see "Password functions" section elsewhere in this document) if length is zero, no password was given

databasename: name of schema to use initially

### Constructor Summary

Constructors
Constructor and Description
`SendHandshakeResponsePacket()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `send(PacketOutputStream pos, String username, String password, HostAddress currentHost, String database, long clientCapabilities, long serverCapabilities, byte serverLanguage, byte packetSeq, Options options, ReadInitialHandShakePacket greetingPacket)` Send handshake response packet.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendHandshakeResponsePacket

    public SendHandshakeResponsePacket()

### Method Detail

#### send

    public static void send(PacketOutputStream pos,
                            String username,
                            String password,
                            HostAddress currentHost,
                            String database,
                            long clientCapabilities,
                            long serverCapabilities,
                            byte serverLanguage,
                            byte packetSeq,
                            Options options,
                            ReadInitialHandShakePacket greetingPacket)
                     throws IOException

Send handshake response packet.

Parameters:
  `pos` - output stream
  `username` - user name
  `password` - password
  `currentHost` - current hostname
  `database` - database name
  `clientCapabilities` - client capabilities
  `serverCapabilities` - server capabilities
  `serverLanguage` - server language (utf8 / utf8mb4 collation)
  `packetSeq` - packet sequence
  `options` - user options
  `greetingPacket` - server handshake packet information
Throws:
  `IOException` - if socket exception occur
See Also:
  protocol documentation